//@prepros-append ../../../includes/gbt-blocks/categories_grid/assets/js/frontend.js
//@prepros-append ../../../includes/gbt-blocks/lookbook_shop_by_outfit/assets/js/frontend.js
//@prepros-append ../../../includes/gbt-blocks/products_carousel/assets/js/frontend.js
//@prepros-append ../../../includes/gbt-blocks/products_slider/assets/js/frontend.js

jQuery(function($) {
	
	"use strict";

	//===============================================================
	// Global Throttle
	//===============================================================

	// Returns a function, that, as long as it continues to be invoked, will only
	// trigger every N milliseconds. If <code>immediate</code> is passed, trigger the 
	// function on the leading edge, instead of the trailing.

	window.gbt_gb_throttle = function(func, wait, immediate) {
		var timeout;
		return function() {
			var context = this, args = arguments;
			var later = function() {
				timeout = null;
				if (!immediate) func.apply(context, args);
			};
			var callNow = immediate && !timeout;
			if ( !timeout ) timeout = setTimeout( later, wait );
			if (callNow) func.apply(context, args);
		};
	};

	window.gbt_category_card_animation = function(action, delay) {

		if (typeof action === "undefined" || action === null) action = '';
		if (typeof delay === "undefined" || delay === null) delay = 200;

		$('.wp-block-getbowtied-categories-grid').addClass('js_animated');

		if (action == 'reset') $('.wp-block-getbowtied-categories-grid.js_animated .gbt_18_category_grid_item').removeClass('visible animation_ready animated');

		$('.wp-block-getbowtied-categories-grid.js_animated .gbt_18_category_grid_item:not(.visible)').each(function() {
	    	if ( $(this).is(':visible') ) {                
                $(this).addClass('visible');
			}
		});

		$('.wp-block-getbowtied-categories-grid.js_animated .gbt_18_category_grid_item.visible:not(.animation_ready)').each(function(i) {
	    	$(this).addClass('animation_ready');
	    	$(this).delay(i*delay).queue(function(next) {
                $(this).addClass('animated');
                next();
            });
		});

		$('.wp-block-getbowtied-categories-grid.js_animated .gbt_18_category_grid_item.visible:first').prevAll().addClass('visible').addClass('animation_ready').addClass('animated');

	}

	$('.wp-block-getbowtied-categories-grid.js_animated').imagesLoaded( function() {
		gbt_category_card_animation();
	});

	$(window).resize(function() {
		gbt_gb_throttle(gbt_category_card_animation(), 300);
	});
	
    $(window).scroll(function() {
    	gbt_gb_throttle(gbt_category_card_animation(), 300);
    });

});
( function( $ ) {
	'use strict';

	var snapLookbook = {
		init: function() {
			this.snapScrollFunction();
			// this.hoverImageFunction();
		},

		snapScrollFunction: function(){
			$.scrollify({
				section:".gbt_18_look_book_item",
			    // scrollbars: false,
			    overflowScroll: true,
			   	// standardScrollElements: ".scroll-wrapper",
			   	// updateHash: false,
			    before:function(idx, panels) {

			    	for ( let j = 0; j < panels.length; j++) {
			    		$(panels[j]).removeClass('active');

			    	}

					var ref = panels[idx].attr("data-section-name");

					$(".gbt_18_pagination .gbt_18_active").removeClass("gbt_18_active");

					$(".gbt_18_pagination").find(`a[href="#${ref}"]`).addClass("gbt_18_active");

					//SET DATA SECTION NAME VALUE
			    },
			    after: function(idx, panels){
			    	for ( let j = 0; j < panels.length; j++) {
			    		$(panels[j]).scrollTop(0);
			    	}
			    	$(panels[idx]).addClass('active');
			    },
			    afterRender:function(e) {

			      	$("header").append('<div class="gbt_18_pagination"></div>');

			      	var getDataValue;
			      	var activeClass;
			      	var lookBookImage;
			      	var getItemIndex;

			      	$(".gbt_18_look_book_item").each(function(i) {

			      		i = (i + 1);

			      		$(this).attr("data-section-name", i );

			        	getDataValue = $(this).attr("data-section-name",);

			        	getItemIndex = (($(this).index() + 1) < 10) ? '0' + ($(this).index() + 1) : $(this).index() + 1;

			        	lookBookImage = $(this).find('.gbt_18_look_thumb img');

			        	(i===0) ? activeClass = "gbt_18_active" : activeClass = "";

			        	$('.gbt_18_shop_this_book', this).prepend(`<span class="gbt_18_current_book">${(i < 10) ? '0' + (i - 1) : (i - 1) }</span>`);

			        	if (lookBookImage.length == 0) {
			        		$(".gbt_18_pagination").append(
				        		`<div class="gbt_18_snap_page">
					        		<a class="${activeClass}" href="#${getDataValue}">
					        			<span> ${getItemIndex}</span>
					        		</a>
					        	</div>`
				        	);
			        	}
			        	else{
			        		$(".gbt_18_pagination").append(
				        		`<div class="gbt_18_snap_page">
					        		<a class="${activeClass}" href="#${getDataValue}">
					        			<span> ${getItemIndex}</span>
					        		</a>
					        		<div class="gbt_18_hover_image">
					        			<img src="${lookBookImage.attr('src')}" alt="">
					        		</div>
					        	</div>`
				        	);
			        	}
			      	});


					$(".gbt_18_pagination a").on("click",function(e) {
						e.preventDefault();
						$.scrollify.move($(this).attr("href"));
					});

					$('.gbt_18_scroll_down_button').on('click',function(){
						$.scrollify.next();
					});
			    }
			});
		},
		hoverImageFunction: function(){

			var getImageWidth;

			$('.gbt_18_look_book_type_inline .gbt_18_look_item .gbt_18_look_product_title').on({
				mouseenter: function() {
					getImageWidth = $( this ).closest('.gbt_18_look_item').find('.gbt_18_look_product_image img').width();
						$( this ).closest('.gbt_18_look_item').find('.gbt_18_look_product_image').animate({width: getImageWidth + 'px', opacity: 1}, 500);
			  	},
			  	mouseleave: function() {
			  			$( this ).closest('.gbt_18_look_item').find('.gbt_18_look_product_image').animate({width: 0, opacity: 0},500);
			  	}
			});
		}
	};


	function gbt_18_lookbook_pagination() {
		$("header").append('<div class="gbt_18_pagination"></div>');

      	var getDataValue;
      	var activeClass;
      	var lookBookImage;
      	var getItemIndex;

      	$(".gbt_18_look_book_item").each(function(i, el) {

      		$(this).attr("data-section-name", i );

        	getDataValue = $(this).attr("data-section-name",);

        	getItemIndex = (($(this).index()) < 10) ? '0' + ($(this).index()) : $(this).index();

        	lookBookImage = $(this).find('.gbt_18_look_thumb img');

        	(i===0) ? activeClass = "gbt_18_active" : activeClass = "";

        	$('.gbt_18_shop_this_book', this).prepend(`<span class="gbt_18_current_book">${(i < 10) ? '0' + (i) : (i) }</span>`);

        	if (lookBookImage.length == 0) {
        		$(".gbt_18_pagination").append(
	        		`<div class="gbt_18_snap_page">
		        		<a class="${activeClass}" href="#${getDataValue}">
		        			<span> ${getItemIndex}</span>
		        		</a>
		        	</div>`
	        	);
        	}
        	else{
        		$(".gbt_18_pagination").append(
	        		`<div class="gbt_18_snap_page">
		        		<a class="${activeClass}" href="#${getDataValue}">
		        			<span> ${getItemIndex}</span>
		        		</a>
		        		<div class="gbt_18_hover_image">
		        			<img src="${lookBookImage.attr('src')}" alt="">
		        		</div>
		        	</div>`
	        	);
        	}

	   		// i++;
      	});


		$(".gbt_18_pagination a").on("click",function(e) {
			e.preventDefault();
			let section = $(this).attr('href').substr(1);
			$('html, body').animate({
				scrollTop: $('.gbt_18_look_book_item[data-section-name="'+section+'"]').offset().top
			}, 500);
		});

		$('.gbt_18_scroll_down_button').on('click',function(){
			if ($('.gbt_18_look_book_item[data-section-name="1"]').length) {
				$('html, body').animate({
					scrollTop: $('.gbt_18_look_book_item[data-section-name="1"]').offset().top
				}, 500);
			}
		});
	}

	function gbt_18_isScrolledIntoView(elem)
	{
	    var docViewTop = $(window).scrollTop();
	    var docViewBottom = docViewTop + $(window).height();

	    var elemTop = elem.offset().top;
	    var elemBottom = elemTop + elem.height();

	    return ((elemBottom <= docViewBottom) && (elemTop >= docViewTop));
	}

	$( document ).ready( function(){
		gbt_18_lookbook_pagination();
	});

}( jQuery ) );

(function($) {

	"use strict";

	var swiper = [];
	var columns = [];
	var mobile;

	$(document).ready(function () {
		let _columns;


		$('.wp-block-getbowtied-carousel .gbt_18_swiper-container').each(function(i){
			let _this = $(this);
			columns.push($(this).attr('data-columns'));

			if ( $(window).width() < 768 ) {
				mobile = true;
				_columns = 2;
			} else {
				mobile = false;
				_columns = columns[i];
			}

			swiper.push(new Swiper ($(this), {
				direction: 'horizontal',
				loop: false,
				autoHeight: true,
				slidesPerView: _columns,
				spaceBetween: parseInt($(this).attr('data-spaceBetween')),
				centerInsufficientSlides: true,
			    navigation: {
			    	nextEl: $(this).find('.swiper-button-next'),
			    	prevEl: $(this).find('.swiper-button-prev'),
			    },
			    pagination: {
			        el: $(this).find('.swiper-pagination'),
			        dynamicBullets: true,
			    },
			    on: {
			    	init: function() {
			    		_this.addClass('loaded');
			    	}
			    }
			}));

			$(this).find('.swiper-wrapper').css('height', 'auto');
		})
  });

	$(window).resize(function(){
		if ( $(window).width() < 768 ) {
			if (mobile !== true) {
				for ( let i = 0; i < swiper.length; i++) {
					swiper[i].params.slidesPerView = 2;
					swiper[i].update();
				}
			mobile = true;
			}
		} else {
			if ( mobile !== false ) {
				for ( let i = 0; i < swiper.length; i++) {
					swiper[i].params.slidesPerView = columns[i];
					swiper[i].update();
				}
			mobile = false;
			}
		}
	})

} )(jQuery);

( function( $ ) {
	'use strict';

	var contentSlider = {
		init: function() {
			this.verticalContentSlider();
		},

		verticalContentSlider: function () {

			var defaultSlide = $('.gbt_18_default_slider');

			$(defaultSlide).each(function(){
				//VARIABLES
				var $this = this; //THIS SLIDE SELECTOR
				var activeImage = '.gbt_18_img .gbt_18_image_link.gbt_18_active'; // ACTIVE IMAGE SELECTOR
				var slideImage = '.gbt_18_img .gbt_18_image_link'; // ALL IMAGE SELECTOR
				var slideLength = $('.gbt_18_img_wrapper a', this).length < 9 ? '0' + ($('.gbt_18_img_wrapper a', this).length) : $('.gbt_18_img_wrapper a', this).length; //ADD 0 BEFORE SLIDE COUNT
				var slideCount = '<span class="gbt_18_number_of_items">' + slideLength + '</span>'; //SLIDE COUNT ELEMENT
				var slideLeft = '<span class="gbt_18_prev_slide"><i class="gbt_18_icon_down"></i></span>'; //BUTTON LEFT
				var slideRight = '<span class="gbt_18_next_slide"><i class="gbt_18_icon_up"></i></span>'; //BUTTON RIGHT
				var slideIndex = '<span class="gbt_18_current_slide">01</span>';
				var defaultItemActive = 1; // SET BY DEFAULT ACTIVE SLIDER ON PAGE LOAD;

				//CURENT SLIDE INDEX
				$('.gbt_18_slide_header', this).prepend(slideIndex);

				//APPEND SLIDE CONTROLS
				$('.gbt_18_slide_controls', this).append(slideLeft, slideRight);
				$('.gbt_18_img', this).append(`<div class="gbt_18_mobile_controls">${slideLeft + slideRight}</div>`);

				//APPEND SLIDE HEADER
				$('.gbt_18_slide_header', this).append(slideCount);

				//SET THE FIRST SLIDE AS DEFAULT SLIDE
				$('.gbt_18_image_link', this).eq(defaultItemActive - 1).addClass('gbt_18_active');
				$('.gbt_18_slide_content_item', this).eq(defaultItemActive - 1).addClass('gbt_18_active');
				$('.gbt_18_slide_link a').attr('href', $('.gbt_18_active input[name="slide-link"]').val());

				//SLIDE INDEX NUMBER
				function showSlideIndex(){
					var getCurentSlideIndex = $('.gbt_18_img .gbt_18_image_link.gbt_18_active', $this).index();
					setTimeout(function () {
						if (getCurentSlideIndex < 9) {
							$('.gbt_18_content .gbt_18_current_slide', $this).text('0' + (getCurentSlideIndex + 1));
						}
						else{
							$('.gbt_18_content .gbt_18_current_slide', $this).text(getCurentSlideIndex + 1);
						}
					}, 300);
				};

				//SET DEFAULT TEXT ANIMATION
				var activeContentSelector = $('.gbt_18_slide_content_item.gbt_18_active ', $this);

				activeContentSelector.prev().find('.gbt_18_slide_content_wrapper').css({
					transform: 'translateY(-10%)',
				});
				activeContentSelector.next().find('.gbt_18_slide_content_wrapper').css({
					transform: 'translateY(10%)',
				});
				activeContentSelector.find('.gbt_18_slide_content_wrapper').css({
					transform: 'translateY(0)',
				});

				function changeSlideContent(direction){

					var activeSlideIndex = $(activeImage, $this).index();

					if ( direction == 'up' ) {
						$('.gbt_18_slide_content_item.gbt_18_active .gbt_18_slide_content_wrapper').css({
							transform: 'translateY(10%)',
							opacity: '0',
						});
					} else {
						$('.gbt_18_slide_content_item.gbt_18_active .gbt_18_slide_content_wrapper').css({
							transform: 'translateY(-10%)',
							opacity: '0',
						});
					}

					setTimeout(continueAnimation, 700);

					function continueAnimation() {

						$('.gbt_18_slide_content_item', $this).eq(activeSlideIndex).addClass('gbt_18_active').siblings().removeClass('gbt_18_active');

						var activeContentSelector = $('.gbt_18_slide_content_item.gbt_18_active ', $this);

						activeContentSelector.prev().find('.gbt_18_slide_content_wrapper').css({
							transform: 'translateY(-10%)',
						});
						activeContentSelector.next().find('.gbt_18_slide_content_wrapper').css({
							transform: 'translateY(10%)',
						});
						activeContentSelector.find('.gbt_18_slide_content_wrapper').css({
							transform: 'translateY(0)',
							opacity: '1'
						});

						if (activeContentSelector.next('.gbt_18_slide_content_item').length == 0) {
							$('.gbt_18_slide_content_item', $this).eq(0).find('.gbt_18_slide_content_wrapper').css({
								transform: 'translateY(10%)',
							});

						}
						if (activeContentSelector.prev('.gbt_18_slide_content_item').length == 0){
							$('.gbt_18_slide_content_item', $this).eq(-1).find('.gbt_18_slide_content_wrapper').css({
								transform: 'translateY(-10%)',
							});
						}

						$('.gbt_18_slide_link a').attr('href', $('.gbt_18_active input[name="slide-link"]').val());
					}
				}
				//SET DEFAULT IMAGE ANIMATION
				$(slideImage, $this).eq(-1).animate({ opacity: 0}, {delay: 400}).css({
					transform: 'translateY(-100%)',
					opacity: '0',
				});
				$(activeImage, $this).animate({opacity: 1},{duration: 0}).css({
					transform: 'translateY(0)',
					opacity: '1',
				});
				$(activeImage, $this).next().animate({ opacity: 0}, {delay: 400}).css({
					transform: 'translateY(100%)',
					opacity: '0',
				});

				//INFINITY SLIDE AND ANIMATION CONTROL
				function infinitySlide(){
					if ($(activeImage, $this).next().length == 0) {

						$(slideImage, $this).removeAttr('style');

						$(activeImage, $this).prev().animate({ opacity: 0}, {delay: 400}).css({
							transform: 'translateY(-100%)',
							opacity: '0',
						});
						$(activeImage, $this).animate({opacity: 1},{duration: 0}).css({
							transform: 'translateY(0)',
							opacity: '1',
						});
						$(slideImage, $this).eq(0).animate({ opacity: 0}, {delay: 400}).css({
							transform: 'translateY(100%)',
							opacity: '0',
						});
					}
					else if($(activeImage, $this).prev().length == 0){

						$(slideImage, $this).removeAttr('style');

						$(activeImage, $this).next().animate({ opacity: 0}, {delay: 400}).css({
							transform: 'translateY(100%)',
							opacity: '0',
						});
						$(activeImage, $this).animate({opacity: 1},{duration: 0}).css({
							transform: 'translateY(0)',
							opacity: '1',
						});
						$(slideImage, $this).eq(-1).animate({ opacity: 0}, {delay: 400}).css({
							transform: 'translateY(-100%)',
							opacity: '0',
						});
					}
					else{

						$(slideImage, $this).removeAttr('style');

						$(activeImage, $this).animate({opacity: 1},{duration: 0}).css({
							transform: 'translateY(0)',
						});
						$(activeImage, $this).prev().animate({ opacity: 0}, {delay: 400}).css({
							transform: 'translateY(-100%)',
						});
						$(activeImage, $this).next().animate({ opacity: 0}, {delay: 400}).css({
							transform: 'translateY(100%)',
						});
					}
				}
				//SLIDE RIGHT FUNCTION
				function slideRightM(){
					////////////////////////////////////////
					if ($(activeImage, $this).next().length > 0) {
						$(activeImage, $this).removeClass('gbt_18_active').next().addClass('gbt_18_active');
					}
					else{
						$(slideImage, $this).removeClass('gbt_18_active').eq(0).addClass('gbt_18_active');
					}

					//CHANGE CONTENT
					changeSlideContent('down');

					//INFINITY SLIDE
					infinitySlide();

					//SLIDE INDEX SHOW VALUE
					showSlideIndex();

					$('.gbt_18_content .gbt_18_current_slide', $this).addClass('gbt_18_slide_up');

					$('.gbt_18_content .gbt_18_current_slide', $this).one('webkitAnimationEnd oanimationend msAnimationEnd animationend',
					   	function() {
					    	$(this).removeClass('gbt_18_slide_up');
						}
					);
				};

				//SLIDE LEFT FUNCTION
				function slideLeftM(){

					if ($(activeImage, $this).prev().length > 0) {
						$(activeImage, $this).removeClass('gbt_18_active').prev().addClass('gbt_18_active');
					}
					else{
						$(slideImage, $this).removeClass('gbt_18_active').eq(-1).addClass('gbt_18_active');
					}
					//CHANGE CONTENT
					changeSlideContent('up');

					//INFINITY SLIDE
					infinitySlide();

					//SLIDE INDEX SHOW VALUE
					showSlideIndex();

					$('.gbt_18_content .gbt_18_current_slide', $this).addClass('gbt_18_slide_down');

					$('.gbt_18_content .gbt_18_current_slide', $this).one('webkitAnimationEnd oanimationend msAnimationEnd animationend',
					   	function() {
					    	$(this).removeClass('gbt_18_slide_down');
					});
				}

				//CLICK NEXT SLIDE, STOP CLICK WHEN ANIMATION RUN
				$('.gbt_18_next_slide', this).on('click', function(e){
					if ($('.gbt_18_current_slide').hasClass('gbt_18_slide_up') || $('.gbt_18_current_slide').hasClass('gbt_18_slide_down')) {
						return false;
					}
					else{
						slideRightM();
					}

				});

				//CLICK PREV SLIDE, STOP CLICK WHEN ANIMATION RUN
				$('.gbt_18_prev_slide', this).on('click', function(){
					if ($('.gbt_18_current_slide').hasClass('gbt_18_slide_up') || $('.gbt_18_current_slide').hasClass('gbt_18_slide_down')) {
						return false;
					}
					else{
						slideLeftM();
					}
				});
			});
		}
	};
	$( document ).ready( function(){
		contentSlider.init();
	});
}( jQuery ) );

